Bug 712494 - set cn=config database ACLs for user root in default configuration
Summary: set cn=config database ACLs for user root in default configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Vcelak
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-10 19:06 UTC by Jan Vcelak
Modified: 2013-03-04 01:29 UTC (History)
6 users (show)

Fixed In Version: openldap-2.4.23-16.el6
Doc Type: Bug Fix
Doc Text:
- default installation of openldap-servers - the configuration database (cn=config) can be modified only using text editor and when slapd is not running - this is uncomfortable, can lead to problems and therefore it is not generally recommended by upstream - ldapi:/// interface was enabled by default and ACLs were set for cn=config database for 'root' user - after default installation, the root user can modify the server configuration without stopping the server and using OpenLDAP client tools, when authenticated using ldapi:/// and EXTERNAL SASL mechanism
Clone Of:
: 712495 (view as bug list)
Environment:
Last Closed: 2011-12-06 12:12:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1514 normal SHIPPED_LIVE openldap bug fix and enhancement update 2011-12-06 00:51:20 UTC

Description Jan Vcelak 2011-06-10 19:06:48 UTC
Description of problem:

OpenLDAP server uses it's own LDAP database to keep server configuration (cn=config subtree). The configuration is physically stored in /etc/openldap/slapd.d. Although the configuration is in plain text files in LDIF format, upstream strongly discourages from editing the files manually in text editor. The preferred way is to use regular LDAP commands to change the configuration.

After fresh OpenLDAP server installation, no ACLs are set for cn=config database. This means, that the only way to change the configuration is manual editting.

Following changes should be performed in OpenLDAP default configuration:

1.) enable server slapi:/// interface (IPC socket) (SLAPD_LDAPI=yes in /etc/sysconfig/ldap)

2.) grant management ACLs for cn=config database to user root authenticated using external SASL mechanism available for IPC socket interface (the user is mapped to gidNumber=0+uidNumber=0,cn=peercred,cn=external,cn=auth)

This will allow to work with server configuration using LDAP commands, which should be safer:
ldapadd -H ldapi:/// -Y EXTERNAL ...


Version-Release number of selected component (if applicable):
openldap-2.4.23-15.el6

Comment 2 Jan Vcelak 2011-07-18 15:55:43 UTC
Resolved in openldap-2.4.23-16.el6

Comment 4 Jan Vcelak 2011-08-15 10:23:25 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- default installation of openldap-servers
- the configuration database (cn=config) can be modified only using text editor and when slapd is not running - this is uncomfortable, can lead to problems and therefore it is not generally recommended by upstream
- ldapi:/// interface was enabled by default and ACLs were set for cn=config database for 'root' user
- after default installation, the root user can modify the server configuration without stopping the server and using OpenLDAP client tools, when authenticated using ldapi:/// and EXTERNAL SASL mechanism

Comment 6 errata-xmlrpc 2011-12-06 12:12:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1514.html


Note You need to log in before you can comment on or make changes to this bug.